Table of Contents

Module: adbapi | Twisted-0.17.4/twisted/enterprise/adbapi.py
--- | ---

An asynchronous mapping to DB-API.

This is designed to integrate with twisted.internet.threadtask.

Imported modules |
--- | ---
import traceback from twisted.internet import task, main from twisted.internet.threadtask import ThreadDispatcher from twisted.python import reflect, log, defer, failure from twisted.spread import pb
Functions |
safe
| safe

    safe ( text )

Make a string safe to include in an SQL statement

Classes |

Augmentation | A class which augments a database connector with some functionality.
ConnectionPool | I represent a pool of connections to a DB-API 2.0 compliant database.
Transaction |

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:47 2002 by HappyDoc version 2.0